Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 663642 - [abrt] gonvert-0.2.24-1.fc14: gonvert:69:exitprogram:TypeError: iter must be a GtkTreeIter
Summary: [abrt] gonvert-0.2.24-1.fc14: gonvert:69:exitprogram:TypeError: iter must be ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gonvert
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a6a865db
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-16 13:21 UTC by Scott Castaline
Modified: 2012-02-02 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-02 14:40:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (420 bytes, text/plain)
2010-12-16 13:21 UTC, Scott Castaline
no flags Details

Description Scott Castaline 2010-12-16 13:21:01 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gonvert
comment: Ihad done to conversions and then exited the app. when the crash occurred.
component: gonvert
executable: /usr/bin/gonvert
kernel: 2.6.35.9-64.fc14.x86_64
package: gonvert-0.2.24-1.fc14
reason: gonvert:69:exitprogram:TypeError: iter must be a GtkTreeIter
release: Fedora release 14 (Laughlin)
time: 1292504921
uid: 500

backtrace
-----
gonvert:69:exitprogram:TypeError: iter must be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/bin/gonvert", line 69, in exitprogram
    selected_category = cat_model.get_value(iter,0)
TypeError: iter must be a GtkTreeIter

Local variables in innermost frame:
a: <gtk.Window object at 0x11d9af0 (GtkWindow at 0xf70170)>
selected: <gtk.ListStore object at 0x11e7500 (GtkListStore at 0x1488820)>
iter: None

How to reproduce
-----
1.Click on the x to exit
2.
3.

Comment 1 Scott Castaline 2010-12-16 13:21:02 UTC
Created attachment 469134 [details]
File: backtrace

Comment 2 David 2011-04-22 00:04:01 UTC
Package: gonvert-0.2.24-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.convert 125mm (top line) to inches (bottom line).
2.close converter, top right "X"
3.crash

Comment 3 Gwyn Ciesla 2012-02-02 14:40:35 UTC
Fedora 14 is End-of-Life, please reopen against a current release if this bug is still occurring.  Thank you!


Note You need to log in before you can comment on or make changes to this bug.